define({"0":{y:0,u:"../Content/Part_Overview.htm",l:-1,t:"Overview of Filter SDK",i:0.00473449510042449,a:"Overview of Filter SDK This section provides an overview of the OpenText KeyView Filter SDK and describes how to get started with the .NET API. Introducing Filter SDK Getting Started"},"1":{y:0,u:"../Content/filter_shared/filtersdk_intro/intro_filtersdk.htm",l:-1,t:"Introducing Filter SDK",i:0.00674668536457551,a:"Introducing Filter SDK This section describes the KeyView Filter SDK. "},"2":{y:0,u:"../Content/filter_shared/filtersdk_intro/Overview.htm",l:-1,t:"Overview",i:0.00473449510042449,a:"OpenText KeyView Filter SDK enables you to incorporate text extraction functionality into your own applications. It extracts text and metadata from a wide variety of file formats on numerous platforms, and can automatically recognize over 1900 document types. It supports both file-based and ..."},"3":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00473449510042449,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"4":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00473449510042449,a:"The following sections list supported operating systems for each platform. Windows (x86-64) Microsoft Windows Server 2022 Microsoft Windows Server 2019 Microsoft Windows Server 2016 Microsoft Windows Server 2012 Microsoft Windows 11 Microsoft Windows 10 Windows (x86) Microsoft Windows 10 Windows ..."},"5":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00473449510042449,a:"Supported Compilers The following table lists the supported compilers for the .NET Filter SDK."},"6":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00674668536457551,a:"To run KeyView on Windows requires the Microsoft Visual C++ 2019 redistributables to be installed. The redistributables are provided in the vcredist folder of the KeyView SDK but you can  download the latest installers from Microsoft  to get the latest security, reliability, and performance ..."},"7":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.00473449510042449,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"8":{y:0,u:"../Content/filter_shared/filtersdk_intro/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00473449510042449,a:"The Filter SDK installation contains: All the libraries and executables necessary for extracting text from a wide variety of formats. The  include files that define the C API. These files can be found in the include directory. The Java API implemented in the package com.verity.api.filter contained ..."},"9":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0315510511590347,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"10":{y:0,u:"../Content/Chapter_GettingStarted.htm",l:-1,t:"Getting Started",i:0.00674668536457551,a:"Getting Started This section provides information about how to get started with the KeyView Filter .NET API."},"11":{y:0,u:"../Content/DotNET/gettingstarted/Filtering.htm",l:-1,t:"Filtering",i:0.00473449510042449,a:"Filter SDK enables you to filter many different types of documents. Filtering is the process of extracting the text from a document without the application-specific markup. However, the filtering process can also include the following: Subfile extraction—exposes all subfiles for filtering. See  Use ..."},"12":{y:0,u:"../Content/DotNET/gettingstarted/Sub_File_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.00473449510042449,a:"To filter a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. Archive files (such as ZIP), mail messages with attachments (such as  Microsoft Outlook Express), mail stores ..."},"13":{y:0,u:"../Content/DotNET/gettingstarted/Use_the_NET_Implementation.htm",l:-1,t:"Use the .NET Implementation of the API",i:0.00473449510042449,a:"The .NET version of the Filter API provides an interface to the core functionality of the C API. It contains one primary class (Filter) that wraps the filter functionality of the C API. It is implemented in the namespace Autonomy.API.Filter contained in the file  FilterDotNet.dll. The library is in ..."},"14":{y:0,u:"../Content/DotNET/gettingstarted/Input_Output_Operations.htm",l:-1,t:"Input/Output Operations",i:0.00473449510042449,a:"In the Filter .NET  API , input and output can be either a physical file accessed through a file path, or a .NET  stream. Depending on the method signature you use, you can create the following filtering processes: filter an input file to output file filter an input file to an output stream filter ..."},"15":{y:0,u:"../Content/DotNET/gettingstarted/Filter_in_File_or_Stream.htm",l:-1,t:"Filter in File or Stream Mode",i:0.00473449510042449,a:"To filter a file or stream Instantiate a Filter object, providing your license key. To instantiate the Filter object with the default output character set and filtering options: Filter objFilter = new Filter(\"YOUR_KEYVIEW_LICENSE\"); To instantiate the Filter object with your chosen output character ..."},"16":{y:0,u:"../Content/DotNET/gettingstarted/Multi_Threaded_Filtering.htm",l:-1,t:"Multithreaded Filtering",i:0.00473449510042449,a:"To ensure multithreaded filter processes are thread-safe, you must create a unique Filter context for every thread by instantiating a Filter object. In addition, threads must not share context objects, and the same context object must be used for all API calls in the same thread. Creating a context ..."},"17":{y:0,u:"../Content/filter_shared/The_Filter_Process_Model.htm",l:-1,t:"The Filter Process Model",i:0.00875887562872654,a:"By default, Filter runs independently from the calling application process. This is called out-of-process filtering. Out-of-process filtering protects the stability of the calling application in the rare case when a malformed document causes Filter to fail. You can configure Filter to run in the ..."},"18":{y:0,u:"../Content/filter_shared/Persist_the_Child_Proces.htm",l:-1,t:"Persist the Child Process",i:0.00473449510042449,a:"In out-of-process filtering, the parent process maintains a persistent connection with the child server after each file is filtered. While the connection is preserved in this way, subsequent filtering requests are processed more quickly because the server is already prepared to receive data.  You ..."},"19":{y:0,u:"../Content/DotNET/gettingstarted/Run_Filter_In_Process.htm",l:-1,t:"Run Filter In Process",i:0.00743649678069216,a:"By default, Filter runs out of process. However, you can enable in-process filtering through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, then Filter is run out of process. If the type of process is specified in the formats.ini and in ..."},"20":{y:0,u:"../Content/filter_shared/Run_File_Extraction_Func.htm",l:-1,t:"Run File Extraction Functions Out of Process",i:0.00473449510042449,a:"The out-of-process setting specified  when you create the Filter object  or in the formats.ini file is automatically propagated to the File Extraction API.  When you extract subfiles from container files and pass the files for filtering out of process, Filter generates a server called ..."},"21":{y:0,u:"../Content/DotNET/gettingstarted/Run_File_Detection_In_or.htm",l:-1,t:"Run Format Detection In or Out of Process",i:0.00473449510042449,a:"By default, detection runs in out-of-process mode. However, you can enable in-process detection through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, detection runs in out-of-process mode. If the type of process is specified in the ..."},"22":{y:0,u:"../Content/Part_UseSDK.htm",l:-1,t:"Use Filter SDK",i:0.00473449510042449,a:"Use Filter SDK This section explains how to perform some basic tasks by using the File Extraction and Filter APIs, and describes the sample programs. Use the File Extraction API Use the Filter API Sample Programs Advanced Topics"},"23":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c.htm",l:-1,t:"Use the File Extraction API",i:0.00674668536457551,a:"Use the File Extraction API This section describes how to extract subfiles from a container file by using the File Extraction API. "},"24":{y:0,u:"../Content/DotNET/xtract_api/Introduction.htm",l:-1,t:"Introduction",i:0.00473449510042449,a:"To filter a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file. The following are ..."},"25":{y:0,u:"../Content/DotNET/xtract_api/Extract_Sub_Files.htm",l:-1,t:"Extract Subfiles",i:0.0315510511590347,a:"To filter all files in a container file, you must open the container and extract its subfiles to either a file or a stream by using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for filtering. After a subfile is extracted, you can ..."},"26":{y:0,u:"../Content/Shared/_KV_xtract_pwd_dotnet.htm",l:-1,t:"Open Password Protected Container Files",i:0.00473449510042449,a:"This section describes how to extract password-protected container files by using the .NET API. The following guidelines apply to specific file types. Lotus Notes NSF files. If you are running a Notes client with an active user connected to a Domino server, you must specify the user’s password as a ..."},"27":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00473449510042449,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the Filter.ExtractGetSubFileInfo method.  However, if ..."},"28":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00473449510042449,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"29":{y:0,u:"../Content/DotNET/xtract_api/Recreate_File_Hierar.htm",l:-1,t:"Recreate a File\u0027s Hierarchy",i:0.00473449510042449,a:"When a container file is extracted, any relationships between the subfiles in the container are not maintained. However, the File Extraction interface provides information that enables you to recreate the hierarchy. The hierarchy can be used to create a directory structure in a file system, or to ..."},"30":{y:0,u:"../Content/DotNET/xtract_api/Create_a_Root_Node.htm",l:-1,t:"Create a Root Node",i:0.00622320802292291,a:"Some container files do not contain a subfile or folder which acts as a root directory on which the hierarchy can be based. For example, subfiles in a Zip archive can be extracted, but none of the subfiles represent the root of the hierarchy. In this case, an artificial root node must be created at ..."},"31":{y:0,u:"../Content/DotNET/xtract_api/Example.htm",l:-1,t:"Example",i:0.00473449510042449,a:"For example, you might extract a PST file that contains seven subfiles with a root node enabled. The call to ExtractGetMainFileInfo() returns the number of subfiles as 8 (seven subfiles and one root node). The following diagram shows the structure and the available hierarchy information after the ..."},"32":{y:0,u:"../Content/DotNET/xtract_api/Extract_Mail_Metadata.htm",l:-1,t:"Extract Mail Metadata",i:0.00819350619692487,a:"Extract Mail Metadata You can extract metadata such as subject, sender, and recipient from MSG, EML, MBX, PST, and NSF files by calling the ExtractGetSubFileMetadata method. You can extract a predefined set of metadata fields and/or individual fields that are unique to a file format. "},"33":{y:0,u:"../Content/DotNET/xtract_api/Default_Metadata_Set.htm",l:-1,t:"Default Metadata Set",i:0.00875887562872654,a:"KeyView internally defines a set of common mail metadata fields that can be extracted as a group from mail formats. This default metadata set is listed in the following table. When you retrieve all metadata for a file—that is, pass NULL for the array of metadata—the complete set of default metadata, ..."},"34":{y:0,u:"../Content/DotNET/xtract_api/Outlook_MSG_metadata.htm",l:-1,t:"Microsoft Outlook (MSG) Metadata",i:0.00473449510042449,a:"In addition to the default metadata set, for MSG files you can extract the metadata fields listed in the following table.  You must pass the field names using the metaDataName argument, when you call the ExtractGetSubFileMetadatamethod. You can also add specific string named properties to the ..."},"35":{y:0,u:"../Content/DotNET/xtract_api/Microsoft_Outlook_Expres.htm",l:-1,t:"Microsoft Outlook Express (EML) and Mailbox (MBX) Metadata",i:0.00473449510042449,a:"In addition to the default metadata set, you can extract any metadata field that exists in the header of an EML or MBX file by passing the field\u0027s name. If the name is a valid field in the file, the contents of the field are returned. For example, to retrieve the name of the last mail server that ..."},"36":{y:0,u:"../Content/DotNET/xtract_api/Lotus_Notes_NSF_metadata.htm",l:-1,t:"Lotus Notes Database (NSF) Metadata",i:0.00473449510042449,a:"In addition to the default metadata set, you can extract any Lotus field name that exists in an NSF file by passing the field\u0027s name. (You can extract fields from mail NSF files and non-mail NSF files.) If the name is a valid field in the file, the field is returned. For example, to retrieve the ..."},"37":{y:0,u:"../Content/DotNET/xtract_api/Microsoft_Personal_Folde.htm",l:-1,t:"Microsoft Personal Folders File (PST) Metadata",i:0.0121796607099841,a:"In addition to the default metadata set, you can extract Messaging Application Programming Interface (MAPI) properties from a PST file. These properties describe elements (subject, sender, recipient, and so on) of Outlook items within the PST file. Since the properties are stored in the PST file ..."},"38":{y:0,u:"../Content/DotNET/xtract_api/Exclude_Metadata_from_th.htm",l:-1,t:"Exclude Metadata from the Extracted Text File",i:0.0303694911927352,a:"When a mail message is extracted, the message text and header information (To, From, Sent, and so on) is extracted to a text file. You can prevent the header information from appearing in the text file. To exclude the header information, call the ExcludeMailHeader property of the ..."},"39":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_Outlook.htm",l:-1,t:"Extract Subfiles from Outlook Files",i:0.00473449510042449,a:"Extract  Subfiles from Outlook Files When an Outlook file (MSG) is extracted to disk, its message text and header information (To, From, Sent, and so on) are extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the Extracted Text ..."},"40":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_OutlookExpress.htm",l:-1,t:"Extract Subfiles from Outlook Express Files",i:0.00473449510042449,a:"Extract Subfiles from Outlook  Express Files When an Outlook Express (EML) file is extracted to disk, its message text and header information (To, From, Sent, and so on) are extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from ..."},"41":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_Mailbox.htm",l:-1,t:"Extract Subfiles from Mailbox Files",i:0.00473449510042449,a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  When an ..."},"42":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_PST.htm",l:-1,t:"Extract Subfiles from Outlook Personal Folders Files",i:0.00473449510042449,a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the body text and header information (To, From, Sent, and so on) from each ..."},"43":{y:0,u:"../Content/DotNET/xtract_api/MAPI_Attachment_Methods.htm",l:-1,t:"MAPI Attachment Methods",i:0.00473449510042449,a:"The way in which you can access the contents of a PST message attachment is determined by the MAPI attachment method applied to the attachment. For example, if the attachment is an embedded OLE object, it uses the ATTACH_OLE attachment method. KeyView can access message attachments that use the ..."},"44":{y:0,u:"../Content/DotNET/xtract_api/Detect_PST_Files_While.htm",l:-1,t:"Detect PST Files While the Outlook Client is Running",i:0.00473449510042449,a:"If you are running an Outlook client while running the File Extraction API, the KeyView format detection module (kwad) might not be able to open the PST file to determine the file\u0027s format because Outlook has the file locked. In this case, you can do one of the following:  Close Outlook when using ..."},"45":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_LotusDomino.htm",l:-1,t:"Extract Subfiles from Lotus Domino XML Language Files",i:0.00473449510042449,a:"Extract  Subfiles from Lotus Domino XML Language Files When a Lotus Domino XML Language (.DXL) file is extracted, its message text and header information (To, From, Sent, and so on) are extracted to a text file. To prevent header information from being extracted, see  Exclude Metadata from the ..."},"46":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_NSF.htm",l:-1,t:"Extract Subfiles from Lotus Notes Database Files",i:0.00473449510042449,a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ..."},"47":{y:0,u:"../Content/DotNET/xtract_api/Open_Secured_NSF_Files.htm",l:-1,t:"Open Secured NSF Files",i:0.00473449510042449,a:"Open  Secured NSF Files KeyView enables you to specify credentials (user ID file and password), which are used to open a secured NSF file for extraction. See  Password Protected Files  for more information."},"48":{y:0,u:"../Content/DotNET/xtract_api/Format_Note_Sub_Files.htm",l:-1,t:"Format Note Subfiles",i:0.00473449510042449,a:"Format Note Subfiles The KeyView NSF reader uses XML templates to format note sub-files. You can customize the templates as required to approximate the look and feel of the original notes as closely as possible. For more information, see  Extract and Format Lotus Notes Subfiles ."},"49":{y:0,u:"../Content/DotNET/xtract_api/Extract_SubFiles_PDF.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00875887562872654,a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ..."},"50":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00473449510042449,a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ..."},"51":{y:0,u:"../Content/DotNET/xtract_api/Extract_Embedded_OLE.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00473449510042449,a:"The File Extraction API can extract embedded  OLE objects from the following types of documents: Microsoft Excel Microsoft Word  Microsoft PowerPoint Microsoft Outlook Microsoft Visio Rich Text Format (RTF) When an embedded OLE object is extracted from its parent file, the location where the ..."},"52":{y:0,u:"../Content/DotNET/xtract_api/Default_Filenames_for_Ex.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00473449510042449,a:"Default File Names for  Extracted Subfiles When a file name is not specified in the call to ExtractSubFile, in some cases, a default file name is applied to the extracted subfile."},"53":{y:0,u:"../Content/DotNET/xtract_api/Default_Filename_for_Mai.htm",l:-1,t:"Default File Name for Mail Formats",i:0.00473449510042449,a:"To avoid naming conflicts and problems with long file names, KeyView applies its own names to the extracted mail folders and mail items when a name is not supplied in the call to ExtractSubFile. A non-mail attachment retains its original file name and extension. When the contents of a mail store or ..."},"54":{y:0,u:"../Content/DotNET/xtract_api/Default_Filename_OLE.htm",l:-1,t:"Default File Name for Embedded OLE Objects",i:0.00473449510042449,a:"KeyView can apply a default name to an extracted  embedded OLE object when a name is not supplied in the call to ExtractSubFile. When an embedded OLE object is extracted, the extracted file name might include the following: The first valid eight characters of the main file. The following special ..."},"55":{y:0,u:"../Content/Chapter_UseFilterAPI.htm",l:-1,t:"Use the Filter API",i:0.0057405902325,a:"Use the Filter API This section describes how to perform some basic filtering tasks by using the Filter API."},"56":{y:0,u:"../Content/filter_shared/filter_detection/Extract_Format_Info.htm",l:-1,t:"Obtain Format Information",i:0.0057405902325,a:"The KeyView format detection module (kwad) detects a file\u0027s format, and reports the information to your application. You can obtain format information from a document by using the GetDocFormatInfo method. This method extracts the major format, file class, version, and document attributes, and ..."},"57":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.00473449510042449,a:"When KeyView auto-detects a file that contains source code, it can attempt to identify the programming language that it is written in. When you do not enable source code identification, files containing source code may be identified as ASCII text files, causing the application to treat them in the ..."},"58":{y:0,u:"../Content/filter_shared/filter_detection/Determine_Doc_Reader.htm",l:-1,t:"File Formats and Document Readers",i:0.0166819604148834,a:"The KeyView configuration file  formats.ini contains a section named [Formats]. Each line in this section matches a file format with the reader to use to parse the format. For most file formats there is only one suitable reader, but for some formats you can choose a reader to use. Each file format ..."},"59":{y:0,u:"../Content/Shared/_KV_Refine_Detection_of_Text.htm",l:-1,t:"Refine Detection of Text Files",i:0.00473449510042449,a:"During text detection, KeyView analyses the first 1 kB and last 1 kB of data in a document. If less than 10% of that data consists of non-ASCII characters, KeyView detects the document as a text file. However, depending on the type of documents you are working with, the default settings might not ..."},"60":{y:0,u:"../Content/Shared/_KV_AdditionalFormatInfo.htm",l:-1,t:"Additional Format Information",i:0.00473449510042449,a:"KeyView returns basic information about a document\u0027s format, but sometimes it can be useful to have additional information. The file formats_description.tsv, which can be found in the bin directory, provides a mapping between file format ID, human-readable format description, and the format\u0027s MIME ..."},"61":{y:0,u:"../Content/DotNET/filter_api/Extract_Metadata.htm",l:-1,t:"Extract Metadata",i:0.00695387899026925,a:"Extract  Metadata When a file format supports metadata, KeyView can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ..."},"62":{y:0,u:"../Content/DotNET/filter_api/Extract_Metadata_for_Fil.htm",l:-1,t:"Extract Metadata for File Filtering",i:0.00473449510042449,a:"Extract Metadata for  File Filtering To extract metadata for file filtering Optionally, set the input source using the SetInputSource(String inFile) method of the Filter object.  If the input source was set in step 1, call the GetSummaryInfo() method of the Filter object to retrieve an object of the ..."},"63":{y:0,u:"../Content/DotNET/filter_api/Extract_Metadata_for_Str.htm",l:-1,t:"Extract Metadata for Stream Filtering",i:0.00473449510042449,a:"Extract Metadata for  Stream Filtering To extract metadata for stream filtering Optionally, set the input source using the SetInputSource(System.IO.Stream input) method of the Filter object. If the input source was set in step 1, call the GetSummaryInfo() method of the Filter object to retrieve an ..."},"64":{y:0,u:"../Content/DotNET/filter_api/Example.htm",l:-1,t:"Example",i:0.00473449510042449,a:"Below is an example of a call to GetSummaryInfo(): If the get summary flag -i is set: List\u003cSummaryInfoElement\u003e sinfo sinfo = objFilter.GetSummaryInfo();\nif(sinfo != null)\n{\n   FileStream fs = new FileStream(m_summaryFile, FileMode.OpenOrCreate, FileAccess.Write);\n   StreamWriter sw = new ..."},"65":{y:0,u:"../Content/filter_shared/Convert_Character_Sets.htm",l:-1,t:"Character Encoding",i:0.00998377018302799,a:"To ensure that all filtered text is output in the same character encoding, KeyView performs character encoding conversion. In most cases, if your license includes advanced character set detection, KeyView can detect the character encoding used in a source file, and automatically outputs filtered ..."},"66":{y:0,u:"../Content/filter_shared/Filter_Deleted_Text.htm",l:-1,t:"Filter Deleted Text",i:0.00594778385819374,a:"Some applications have revision tracking features—such as Microsoft Word\u0027s Track Changes—that identify changes to a document. When these features are used, text that was deleted from a document might still be stored in the file. KeyView does not filter deleted text by default, but the Filter API ..."},"67":{y:0,u:"../Content/filter_shared/Filter_PDF_Files.htm",l:-1,t:"Filter PDF Files",i:0.00594778385819374,a:"Filter PDF Files Filter has special configuration options that allow greater control over the conversion of Adobe Acrobat PDF files."},"68":{y:0,u:"../Content/filter_shared/pdf2sr.htm",l:-1,t:"Use the pdf2sr Reader",i:0.00473449510042449,a:"The pdf2sr reader is an alternative that can be used instead of pdfsr for filtering PDF files. It uses a different parsing technology. The pdf2sr reader has the following features: supports standard and custom metadata (non-XMP) supports basic text extraction supports password protected PDFs ..."},"69":{y:0,u:"../Content/filter_shared/Filter_PDF_LogicalOrder.htm",l:-1,t:"Filter PDF Files to a Logical Reading Order",i:0.00473449510042449,a:"The order of the text inside a PDF file has no relation to the layout of the text on the page or screen. By default, KeyView extracts paragraphs in the order in which they are stored in the file, not the order in which they appear on the page. For example, a three-column article could be output with ..."},"70":{y:0,u:"../Content/filter_shared/Rotated_Text.htm",l:-1,t:"Rotated Text",i:0.00473449510042449,a:"When a PDF that contains rotated text is filtered, the rotated text is extracted after the text at the end of the PDF page on which the rotated text appears. If the PDF is filtered with logical order enabled, and the amount of rotated text on a page surpasses a predefined threshold,  the page is ..."},"71":{y:0,u:"../Content/filter_shared/Filter_Tagged_PDF_Content.htm",l:-1,t:"Filter Tagged PDF Content",i:0.00473449510042449,a:"A tagged PDF contains an additional layer of text for visually impaired readers. This text is used in text-to-speech features in various PDF viewing programs. You can enable filtering of tagged PDF text in the API. Filtering the extra layer of tagged content might result in duplicate text in the ..."},"72":{y:0,u:"../Content/filter_shared/Skip_Embedded_Fonts.htm",l:-1,t:"Skip Embedded Fonts",i:0.00473449510042449,a:"Text in PDF files sometimes contains embedded fonts. If you experience difficulties filtering embedded fonts, you can skip this type of text. If you skip embedded fonts, none of the content that contains embedded fonts is included in the output. To skip text that uses embedded fonts In the .NET API, ..."},"73":{y:0,u:"../Content/filter_shared/Control_Hyphenation.htm",l:-1,t:"Control Hyphenation",i:0.00473449510042449,a:"There are two types of hyphens in a PDF document: A soft hyphen is added to a word by a word processor to divide the word across two lines. This is a discretionary hyphen and is used to ensure proper text flow in justified text. A hard hyphen is intentionally added to a word regardless of the word\u0027s ..."},"74":{y:0,u:"../Content/filter_shared/Filter_Portfolio_PDF.htm",l:-1,t:"Filter Portfolio PDF Files",i:0.00473449510042449,a:"Filter Portfolio PDF Files Portfolio PDF files contain subfiles and an ActionScript interface for navigating between them. You can use the extraction API to extract the subfiles.  See  Extract Subfiles from PDF Files ."},"75":{y:0,u:"../Content/Shared/_KV_Table_Detection_PDF.htm",l:-1,t:"Table Detection for PDF Files",i:0.00473449510042449,a:"PDF files often contain data presented in a tabular form. However, there is no information about the table stored within the PDF itself – the text is simply placed in  an arrangement that looks like a table to the human eye. When this data is filtered, it can be very difficult to reconstruct the ..."},"76":{y:0,u:"../Content/filter_shared/Filter_Spreadsheet_Files.htm",l:-1,t:"Filter Spreadsheet Files",i:0.00473449510042449,a:"Filter Spreadsheet Files Filter has special configuration options that enable greater control over the conversion of spreadsheet files."},"77":{y:0,u:"../Content/filter_shared/Filter_Worksheet_Names.htm",l:-1,t:"Filter Worksheet Names",i:0.00473449510042449,a:"Filter  Worksheet Names Normally, Filter does not extract worksheet names from a spreadsheet because it is assumed that the text should not be exposed. To extract worksheet names, add the following lines to the  formats.ini file: [Options]\ngetsheetnames=1"},"78":{y:0,u:"../Content/filter_shared/Filter_Hidden_Text_Excel.htm",l:-1,t:"Filter Hidden Text in Microsoft Excel Files",i:0.00473449510042449,a:"Filter  Hidden Text in Microsoft Excel Files Normally, Filter does not filter hidden text from a Microsoft Excel spreadsheet because it is assumed the text should not be exposed. You can change this default behavior, and extract text from hidden rows, columns, and sheets from Excel spreadsheets by ..."},"79":{y:0,u:"../Content/filter_shared/Specify_Date_and_Time_Fo.htm",l:-1,t:"Specify Date and Time Format on UNIX Systems",i:0.00473449510042449,a:"In Microsoft Excel you can choose to format dates and times according to the system locale.  On Windows, KeyView uses the system locale settings to determine how these dates and times should be formatted.  In other operating systems, KeyView uses the U.S. short date format (mm/dd/yyyy).  You can ..."},"80":{y:0,u:"../Content/filter_shared/large_numbers_excel.htm",l:-1,t:"Filter Very Large Numbers in Spreadsheet Cells to Precision Numbers",i:0.00473449510042449,a:"Numbers in Microsoft Excel files can be extracted and written to the output without formatting. By default, numbers are extracted in the format specified by the Excel file (for example, General, Currency and Date). Spreadsheets might contain cells that have very large numbers in them. Excel displays ..."},"81":{y:0,u:"../Content/filter_shared/Extract_Excel_Formulas.htm",l:-1,t:"Extract Microsoft Excel Formulas",i:0.00473449510042449,a:"When you filter a Microsoft Excel spreadsheet, KeyView extracts the value of each cell. The value of a cell might be calculated from a formula, but the formula is not included in the output unless you configure KeyView to include it. You can extract the cell value, the formula, or both. For example, ..."},"82":{y:0,u:"../Content/Shared/_KV_Standardize_Cell_Formats.htm",l:-1,t:"Standardize Cell Formats",i:0.00473449510042449,a:"In Microsoft Excel you can format cell values. For example, the date \"15/09/2021\" could be formatted as \"15 September 2021\" or \"2021-09-15\". By default, KeyView extracts cell values with formatting, as they would appear in Excel. If you prefer, you can configure KeyView to standardize cell values. ..."},"83":{y:0,u:"../Content/filter_shared/Tab_Delimited_Output.htm",l:-1,t:"Tab Delimited Output for Spreadsheets and Embedded Tables",i:0.00473449510042449,a:"You can use KeyView to convert spreadsheets, embedded tables in Word Processing documents (for example, Microsoft Word documents), and tables detected by Optical Character Recognition (OCR), to tab-delimited form. In this format, KeyView inserts a tab character between each cell, and a line break ..."},"84":{y:0,u:"../Content/filter_shared/Filter_XML_Files.htm",l:-1,t:"Filter XML Files",i:0.00594778385819374,a:"KeyView can detect many types of XML file, including: Generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, presentation, and spreadsheet) When you filter XML, you can tell KeyView which elements to treat as content and metadata, or to treat the ..."},"85":{y:0,u:"../Content/DotNET/filter_api/Configure_Element_Extrac.htm",l:-1,t:"Configure Element Extraction for XML Documents",i:0.00473449510042449,a:"Configure  Element Extraction for XML Documents When filtering XML files, you can specify which elements and attributes are extracted according to the file\u0027s format ID or root element. This is useful when you want to extract only relevant text elements, such as abstracts from reports, or a list of ..."},"86":{y:0,u:"../Content/filter_shared/Filter_Hidden_Data.htm",l:-1,t:"Filter Hidden Data",i:0.00473449510042449,a:"Filter Hidden Data Some documents contain hidden information, which is not filtered by default. Depending on the type of hidden data that you want to filter and the type of document that you are filtering, you can either use the API or set parameters in the formats.ini file."},"87":{y:0,u:"../Content/filter_shared/Hidden_Data_HTML.htm",l:-1,t:"Hidden Data in HTML Documents",i:0.00473449510042449,a:"KeyView can filter comments from HTML documents. To enable comment filtering, you must set a flag in the formats.ini file. To enable filtering of comments from HTML files Open the formats.ini file in a text editor. Under [Options], set the following flag. GetHTMLHiddenInfo= 1"},"88":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Exclude Japanese Guide Text",i:0.00473449510042449,a:"Exclude Japanese Guide Text This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In  formats.ini, set the following parameter.  [Options]\nNoPhoneticGuides=TRUE"},"89":{y:0,u:"../Content/filter_shared/Optical_Character_Recognition.htm",l:-1,t:"Optical Character Recognition",i:0.00473449510042449,a:"When processing raster image files, KeyView can perform Optical Character Recognition (OCR) to attempt to filter text that might be visible in the image. If text is detected to form part of a table, it will be filtered in the same way as tables in Word Processing documents. KeyView performs OCR only ..."},"90":{y:0,u:"../Content/filter_shared/DocumentRestrictions.htm",l:-1,t:"Document Restrictions",i:0.00473449510042449,a:"Some applications, and corresponding file formats, allow users to restrict the ways in which a document can be used. For example, you might be able to read a document but additional credentials (such as a password) could be required to modify the document content, add comments, or print the ..."},"91":{y:0,u:"../Content/Chapter_Samples.htm",l:-1,t:"Sample Programs",i:0.0057405902325,a:"Sample Programs This section describes the sample programs provided with Filter SDK."},"92":{y:0,u:"../Content/DotNET/samples/FilterTestDotNet.htm",l:-1,t:"FilterTestDotNet",i:0.00473449510042449,a:"The FilterTestDotNet sample program calls the following sample code: TestExtract —demonstrates the File Extraction interface TestFilter —demonstrates the Filtering methods The source code is in the directory dotnetapi\\sample. It also includes a C# Project file (FilterTestDotNet.csproj). Before the ..."},"93":{y:0,u:"../Content/DotNET/samples/TestExtract.htm",l:-1,t:"TestExtract",i:0.012259778815376,a:"The TestExtract code demonstrates the File Extraction interface. The TestExtract sample code demonstrates the functionality of the Filtering interface. See  TestFilter . The TestExtract code demonstrates the following functionality: opens a document extracts subfiles from a document repeats subfile ..."},"94":{y:0,u:"../Content/DotNET/samples/TestFilter.htm",l:-1,t:"TestFilter",i:0.0114189852188451,a:"The TestFilter code demonstrates most of the Filtering methods available in the .NET API. The command-line options are listed in  Options for FilterTestDotNet -ft1 . To run TestFilter, type the following at the command line: FilterTestDotNet filtermode [options] input_file output_file where: ..."},"95":{y:0,u:"../Content/Chapter_AdvancedTopics.htm",l:-1,t:"Advanced Topics",i:0.0057405902325,a:"Advanced Topics This section describes some advanced topics that apply to both the Filter API and the Extraction API."},"96":{y:0,u:"../Content/filter_shared/File_Caching.htm",l:-1,t:"File Caching",i:0.00473449510042449,a:"To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data into memory. The readers then read the data from the cache rather than the physical disk. You can configure the amount of memory used for file caching through the formats.ini file. ..."},"97":{y:0,u:"../Content/Part_Appendixes.htm",l:-1,t:"Appendixes",i:0.00473449510042449,a:"This section lists supported formats, supported character sets, and redistributed files, and provides information on format detection and developing a custom document reader. Supported Formats Document Readers Platform Differences Character Sets Extract and Format Lotus Notes Subfiles List of ..."},"98":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected.htm",l:-1,t:"Supported Formats",i:0.00513693315325469,a:"Supported Formats This section lists the file formats that KeyView can detect."},"99":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected_Key.htm",l:-1,t:"Key to Supported Formats Table",i:0.00473449510042449,a:"Key to Supported Formats Table The supported formats table includes the following information:"},"100":{y:0,u:"../Content/kv_formats/_KV_FMT__AllDetected.htm",l:-1,t:"Supported Formats",i:0.0175543360970247,a:"1MHT, EML, and MBX files might return either format 2, 233, or 395, depending on the text  in the file. In general, files that contain fields such as To, From, Date, or Subject are considered to be email messages; files that contain fields such as content-type and mime-version are considered to be ..."},"101":{y:0,u:"../Content/kv_formats/_KV_FMT_FileClasses.htm",l:-1,t:"File Classes",i:0.00473449510042449,a:"File Classes"},"102":{y:0,u:"../Content/kv_formats/_KV_FMT__SupportedFormats.htm",l:-1,t:"Document Readers",i:0.0111316118555587,a:"Document Readers This section lists the KeyView document readers that are available to filter, export, and view supported file formats."},"103":{y:0,u:"../Content/kv_formats/_KV_FMT__Key.htm",l:-1,t:"Key to Document Readers Table",i:0.00473449510042449,a:"The document readers table includes the following information. Key to Symbols Symbol Description Y The feature is supported. N The feature is not supported. T Only text is extracted from this format. Formatting information is not extracted.  M Only metadata (title, subject, author, and so on) is ..."},"104":{y:0,u:"../Content/kv_formats/_KV_FMT_Readers.htm",l:-1,t:"Document Readers",i:0.0168387717813315,a:"Document Readers"},"105":{y:0,u:"../Content/kv_platforms/_KV_Intro.htm",l:-1,t:"Platform Differences",i:0.00513693315325469,a:"Platform Differences Most KeyView features and document readers are available across all platforms. This section describes the supported platforms for certain features that are not available on every platform."},"106":{y:0,u:"../Content/kv_platforms/_KV_FeaturesByPlatform.htm",l:-1,t:"Feature Differences",i:0.0135299555687227,a:"Feature Differences"},"107":{y:0,u:"../Content/kv_platforms/_KV_ReadersByPlatform.htm",l:-1,t:"Reader Differences",i:0.00950557504042061,a:"Reader Differences This topic shows only those readers that are unavailable on at least one platform. For a complete list of a readers, see  Document Readers ."},"108":{y:0,u:"../Content/kv_charset/_KV_CHARSET_c_charset.htm",l:-1,t:"Character Sets",i:0.00513693315325469,a:"Character Sets This section provides information on the handling of character sets in the KeyView suite of products, which includes KeyView Filter SDK, KeyView Export SDK, and KeyView Viewing SDK. "},"109":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Multibyte_Bidirectional_Support.htm",l:-1,t:"Multibyte and Bidirectional Support",i:0.00473449510042449,a:"The KeyView SDKs can process files that contain  multibyte characters. A multibyte  character encoding represents a single character with consecutive bytes. KeyView can also process text from files that contain  bidirectional text. Bidirectional text contains both Latin-based text which is read from ..."},"110":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Coded_Character_Sets.htm",l:-1,t:"Coded Character Sets",i:0.0116796767312202,a:"Coded Character Sets This section lists which character set  you can use to specify the target character set.  The coded character sets are enumerated in kvcharset.h and defined in the  Filter  class."},"111":{y:0,u:"../Content/kv_XML_templates/_KV_XML_app_XMLtemplate.htm",l:-1,t:"Extract and Format Lotus Notes Subfiles",i:0.00916131368155674,a:"Extract and Format Lotus Notes Subfiles This section describes how to create XML templates to alter the appearance of extracted Lotus mail note subfiles so that they maintain the look and feel of the original notes."},"112":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Overview.htm",l:-1,t:"Overview",i:0.00473449510042449,a:"KeyView uses the NSF reader, nsfsr, to extract Lotus database files, and places Lotus mail notes in subfiles. The NSF reader uses a set of default XML templates to extract the notes and apply formatting, thereby approximating the look and feel of the original notes. In some cases, you might need to ..."},"113":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Customize_XML_Templates.htm",l:-1,t:"Customize XML Templates",i:0.00473449510042449,a:"XML templates are enabled by default. In most cases, the default templates should be sufficient; however, you can customize them or create your own as required. To customize XML templates for Lotus note extraction Modify the template files in the following directory. install\\OS\\bin\\NSFtemplates The ..."},"114":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Template_Elements_and_Attributes.htm",l:-1,t:"Template Elements and Attributes",i:0.0597796634296888,a:"This section lists the valid XML elements and attributes that you can use when creating or modifying templates. See the demo templates for examples. Conditional Elements The following table lists the valid conditional elements. Control Elements The following table lists the valid control elements. ..."},"115":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Date_and_Time_Formats.htm",l:-1,t:"Date and Time Formats",i:0.0301389949469907,a:"This section lists the supported Notes and KeyView date and time formats for use with  \u003cformat\u003e ,  \u003cdate\u003e , and  \u003cdate_kv\u003e . Lotus Notes Date and Time Formats  This section lists supported Lotus Notes date and time formats, and the integer values that specify each one. KeyView Date and Time Formats ..."},"116":{y:0,u:"../Content/filter_shared/filter_filelist/filter_filelist.htm",l:-1,t:"List of Required Files for Redistribution",i:0.00513693315325469,a:"This section lists the Filter files that can be redistributed in your applications under the licensing agreement. Unless noted, these files are in the directory  install\\OS\\bin, where  install is the path of the Filter installation directory and OS is the operating system platform. On Windows ..."},"117":{y:0,u:"../Content/filter_shared/filter_filelist/Core_Files.htm",l:-1,t:"Core Files",i:0.00473449510042449,a:"Core Files The following core files can be redistributed with your application."},"118":{y:0,u:"../Content/filter_shared/filter_filelist/Support_Files.htm",l:-1,t:"Support Files",i:0.00473449510042449,a:"Support Files The following support files can be redistributed with your application."},"119":{y:0,u:"../Content/filter_shared/filter_filelist/Document_Readers.htm",l:-1,t:"Document Readers",i:0.00473449510042449,a:"Document  Readers You can redistribute all of the KeyView document readers with your application. For a list of readers, see  Document Readers  (the ActiveX components and MCI rows do not refer to redistributable document readers and can be ignored). "},"120":{y:0,u:"../Content/app_pwd_filter.htm",l:-1,t:"Password Protected Files",i:0.00916131368155674,a:"Password Protected Files This section lists supported password-protected container and non-container files."},"121":{y:0,u:"../Content/Shared/_KV_pwd_protect_support.htm",l:-1,t:"Supported Password Protected File Types",i:0.00473449510042449,a:"The following table lists the password-protected file types that KeyView supports. Supported password-protected file types File Type Version Filter Export Extract View Credentials PST (Windows) n/a N N Y S P PST (non-Windows) 1 The native PST readers, pstxsr and pstnsr, do not require credentials to ..."},"122":{y:0,u:"../Content/DotNET/Filter_Password_dotNET.htm",l:-1,t:"Filter Password Protected Files",i:0.00473449510042449,a:"This section describes how to filter password-protected non-container files with the .NET API. To filter password-protected files Use the Password property of the Filter class. For example: \nobjFilter.Password = pwd; where  pwd is a password of 255 or fewer characters."},"123":{y:0,u:"../Content/filter_shared/Filter_SDK_Optional_Components.htm",l:-1,t:"Optional Components in the Filter SDK",i:0.00513693315325469,a:"Optional Components in the Filter SDK This section contains information about optional libraries and how they can be managed to reduce third-party library usage and the install size."},"124":{y:0,u:"../Content/filter_shared/Reducing_Third_Party_Usage.htm",l:-1,t:"Reducing Third-Party Library Usage",i:0.0315510511590347,a:"The following third-party vendor libraries are optional dependencies of KeyView.  This table shows you which .dll / .so files you will need to delete if you want to remove the third-party library, and what functionality you will lose as a result.  It also shows which lines you should remove from ..."},"125":{y:0,u:"../Content/filter_shared/Reducing_Install_Size.htm",l:-1,t:"Reducing Install Size",i:0.00473449510042449,a:"Reducing Install Size The following KeyView Filter libraries can be safely deleted to reduce the size of the bin folder. *The sizes are given as approximate examples only and are taken from the WINDOWS_X86_64 release."},"126":{y:0,u:"../Content/Shared/_KV_3P_Appendix.htm",l:-1,t:"Third-Party Library Upgrade",i:0.00473449510042449,a:"Third-Party Library Upgrade This section describes the KeyView upgrade policy for third-party libraries."},"127":{y:0,u:"../Content/Shared/_KV_3P_UpgradePolicy.htm",l:-1,t:"Third-Party Library Upgrade Policy",i:0.00473449510042449,a:"KeyView uses third-party libraries to provide important functionality. These libraries are regularly upgraded to ensure that KeyView includes any relevant security fixes according to the following policy: All third-party libraries that are required for all uses of KeyView, or that are used for ..."},"128":{y:0,u:"../Content/Shared/_KV_OCR_Supported_Languages.htm",l:-1,t:"OCR Supported Languages",i:0.00513693315325469,a:"OCR Supported Languages KeyView OCR supports the following languages. In parentheses following each language name is the corresponding ISO 639-1 language code. Latin Alphabet Arabic Alphabet Chinese Alphabet Cyrillic Alphabet Other Alphabets"},"129":{y:0,u:"../Content/filter_shared/Use_Legacy_OOP_Method.htm",l:-1,t:"Use the Legacy Out-of-Process Method",i:0.0240141300387871,a:"By default, when you run KeyView out-of-process, the parent process uses shared memory to communicate with the out-of-process server, which is faster than the legacy out-of-process method. OpenText recommends that you use this default method. To control the method that KeyView uses, you can use the ..."},"130":{y:0,u:"../Content/filter_shared/Out_of_Process_Logging.htm",l:-1,t:"Legacy Out-of-Process Session Logging",i:0.00823401182216015,a:"Out-of-process session logging is available only when you configure KeyView to use the legacy out-of-process method. See  Use the Legacy Out-of-Process Method .  Logging is available for out-of-process filtering. The kvoop server can create a log file that captures information on the files being ..."},});